Subject: Re: mount type, compiler barf, and sym links
From: [email-masked] (Charles Wilson)

20 Oct 1998 12:24:42 -0700
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: [email-masked]
Cc: [email-masked]

Stephen L Arnold wrote:

> Howdy:
>
> I can't keep up with the volume (and much of what I do read is
> pretty obtuse to me anyway); sorry if this seems like a stupid
> question.
>
> I've had the B19/coolview/egcs setup working for a few weeks (at
> least for compiling my stupid homework problems - all console mode
> stuff).  I guess I always had my root partition mounted text mode.
> After reading some of the posts lately on the subject, I got the
> impression I should use binary mounts, so when I created some new
> mount points for /tmp, /var, my ntemacs directory (for symbolic
> links), etc, I used the -b switch.  I also changed my root mount
> point in the registry to the binary type.  Suddenly my homework
> wouldn't compile; I got some weird error message about undefined
> symbols in stdio.h & stddef.h (all my source files are LF only).
>
> I changed the mount type back and everything compiles fine again.
> What was the problem?  Something to do with CR/LF translation?
> Would somebody care to explain it in terms a self-taught guy (with
> a geophysics background) can understand?

Sounds to me like all of your text files (.h's, &tc.) were CR/LF translated
when you originally untarred them. This can happen if you (1) use WinZip or
some other windows-centric program to untar.gz the archives, such as the
egcs tar.gz file (2) you untar.gz'ed using cygwin-based tar, but the
destination location was a text mount, so the low-level file routines did a
CR/LF conversion for you. I think the easiest way to fix this, without
disturbing a setup that already is properly configured, is to get rmhatm
from ftp://insomnia.be/johanvg/rmhatm-0.2.tar.gz

Be warned: I haven't tried this program myself, but it is a Perl program
that will
_recursively_ (!! careful !!) descend into your directory structure, and
convert all text files from DOS/MAC to Unix format. (Of course, you'll have
to mount everything binary _before_ running the conversion.

The other way to fix it is to mount everything binary, and then reinstall
egcs from the original tar.gz file.

> Which types of mounts do
> I want for what types of scenarios and why?
>
> I also created some sym links in /bin that point to win32 versions
> of vim and emacs (as well as linking /bin/sh to bash).  Do I need
> to explicitly link to prog1.exe or just prog1 (the links in /bin
> seem to work fine as sh, gvim, and emacs)?  Are there any hidden
> implications to using/not using the DOS .exe file extension under
> bash?
>
> Thanks in advance for any answers, Steve

I dunno about all this stuff.

-Chuck

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".